using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace HySoft.BaseCallCenter.BLL
{
    /// <summary>
    /// T_Sys_MobileData
    /// </summary>
    public partial class T_Sys_MobileData
    {
        private readonly HySoft.BaseCallCenter.DAL.T_Sys_MobileData dal = new HySoft.BaseCallCenter.DAL.T_Sys_MobileData();
        public T_Sys_MobileData()
        { }
        #region  BasicMethod
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(string F_MobileNum)
        {
            return dal.Exists(F_MobileNum);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public bool Add(HySoft.BaseCallCenter.Model.T_Sys_MobileData model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(HySoft.BaseCallCenter.Model.T_Sys_MobileData model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(string F_MobileNum)
        {

            return dal.Delete(F_MobileNum);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_MobileNumlist)
        {
            return dal.DeleteList(F_MobileNumlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public HySoft.BaseCallCenter.Model.T_Sys_MobileData GetModel(string F_MobileNum)
        {

            return dal.GetModel(F_MobileNum);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<HySoft.BaseCallCenter.Model.T_Sys_MobileData> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<HySoft.BaseCallCenter.Model.T_Sys_MobileData> DataTableToList(DataTable dt)
        {
            List<HySoft.BaseCallCenter.Model.T_Sys_MobileData> modelList = new List<HySoft.BaseCallCenter.Model.T_Sys_MobileData>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                HySoft.BaseCallCenter.Model.T_Sys_MobileData model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = dal.DataRowToModel(dt.Rows[n]);
                    if (model != null)
                    {
                        modelList.Add(model);
                    }
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }
      

        #endregion  BasicMethod
        #region  ExtensionMethod

        #endregion  ExtensionMethod
    }
}
